Last Comment Bug 573598 - [SeaMonkey] test_bug429954.xul fails with JS Error
: [SeaMonkey] test_bug429954.xul fails with JS Error
Status: RESOLVED FIXED
[sm-perma][cc-orange]
: intermittent-failure
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Windows XP
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 429954
Blocks: SmTestFail
  Show dependency treegraph
 
Reported: 2010-06-21 15:38 PDT by Justin Wood (:Callek)
Modified: 2012-11-26 02:57 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Justin Wood (:Callek) 2010-06-21 15:38:33 PDT
17547 INFO TEST-START | chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul
++DOMWINDOW == 34 (0x9c916a0) [serial = 1378] [outer = 0x9cbd8d0]
17548 INFO TEST-PASS | chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul | before wait for focus -- loaded: uninitialized active window: ([object ChromeWindow @ 0x8eba0b8 (native @ 0x9047f80)]) chrome://navigator/content/navigator.xul focused window: ([object XPCNativeWrapper [object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul desired window: ([object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul child window: ([object XPCNativeWrapper [object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul docshell visible: true
17549 INFO TEST-PASS | chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul | must wait for load
17550 INFO TEST-PASS | chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul | already focused
17551 INFO TEST-PASS | chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul | maybe run tests <load:false, focus:true> -- loaded: uninitialized active window: ([object ChromeWindow @ 0x8eba0b8 (native @ 0x9047f80)]) chrome://navigator/content/navigator.xul focused window: ([object XPCNativeWrapper [object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul desired window: ([object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul child window: ([object XPCNativeWrapper [object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul docshell visible: true
17552 INFO TEST-PASS | chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul | waitForEvent called <type:load, target[object XULDocument @ 0xa3ae7c0 (native @ 0xc06e0d8)]> -- loaded: complete active window: ([object ChromeWindow @ 0x8eba0b8 (native @ 0x9047f80)]) chrome://navigator/content/navigator.xul focused window: ([object XPCNativeWrapper [object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul desired window: ([object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul child window: ([object XPCNativeWrapper [object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul docshell visible: true
17553 INFO TEST-PASS | chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul | maybe run tests <load:true, focus:true> -- loaded: complete active window: ([object ChromeWindow @ 0x8eba0b8 (native @ 0x9047f80)]) chrome://navigator/content/navigator.xul focused window: ([object XPCNativeWrapper [object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul desired window: ([object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul child window: ([object XPCNativeWrapper [object Window @ 0x9cb9aa0 (native @ 0x9cbd908)]]) chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul docshell visible: true
NEXT ERROR 17554 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul | [SimpleTest/SimpleTest.js, window.onerror] An error occurred - win is null at chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul:34
JavaScript error: chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul, line 34: win is null
17555 INFO SimpleTest finished chrome://mochikit/content/chrome/widget/tests/test_bug429954.xul in 577ms
Comment 1 neil@parkwaycc.co.uk 2010-06-22 00:30:02 PDT
Some other test fiddling with the windowtype perhaps?
Comment 2 Justin Wood (:Callek) 2010-06-22 01:07:00 PDT
actually looks like (local testing) that the followup of Bug 544356 should fix this.
Comment 3 Justin Wood (:Callek) 2010-06-22 20:56:42 PDT
(In reply to comment #2)
> actually looks like (local testing) that the followup of Bug 544356 should fix
> this.

And... it didn't.
Comment 4 Justin Wood (:Callek) 2010-06-28 20:42:06 PDT
Pushed the fix as [No Bug] http://hg.mozilla.org/mozilla-central/rev/58d7aaf82913

Couldn't find this bug number when I did it.

The problem was that we were leaving the windowtype changed while aborting this test. Just a heads up for future Neil, so we don't leave artifacts around like this ;-)

Note You need to log in before you can comment on or make changes to this bug.